profound-logoProfound CMS
⌘K
Admin
Theme
DocsTutorialBlogPhilosophy
DocsTutorialBlogPhilosophy

Hybrid

Collection of Pages with ComponentsTypes of ComponentsSetup server sent events (SSE) content refetchInstall Profound CMS as a proxyCEL Scripting in Template BuilderProject ScaffoldingMedia Library

Headless

Quick startSplit Screen JSON Component Builder with LLMComponent Zod Pull

REST API

REST API 概要getウェブサイトを CMS API に接続するgetGET /routesgetGET /routegetGET /blocksgetGET /blocks/with-cel-cachegetGET /blocks/generatedgetGET /componentsgetGET /components/{name}getGET /dataset/{schema_name}getGET /content-changes (SSE)patchPATCH /dataset/{schema_name}postPOST /translationpatchPATCH /translationsgetGET /usagepostCSV 投稿patchPATCH /csv
All Systems Operational
Powered Byprofound-logo
Theme

GET /blocks

画像参照を解決し、リクエスト順に ID でブロックを取得します。

画像参照が URL に解決された状態で、ウェブサイトのブロックを ID で取得します。ブロックは要求された ids と同じ順序で返され、不明な ID は黙ってスキップされます。

認証: API キー(x-api-key ヘッダーまたは api_key クエリパラメーター)。

クエリパラメーター

パラメーター型必須備考
websiteIduuidいいえ対象のウェブサイト。Host ヘッダー / 設定がフォールバックとして使用されます。
idsstringいいえカンマ区切りのブロック UUID。空または省略時は []。
api_keystringいいえx-api-key ヘッダーの代替。

レスポンス

ブロックの JSON 配列:

[
  {
    "id": "...",
    "website_id": "...",
    "schema_id": "...",
    "draft_content": {},
    "published_content": {},
    "state": "published",
    "version": 3,
    "schema_name": "hero-block",
    "layout": {},
    "cloned_from_id": null,
    "created_at": "2026-06-23T18:34:16Z",
    "updated_at": "2026-06-23T20:36:55Z"
  }
]

例

curl '{CMS_API_URL}/blocks?websiteId=<uuid>&ids=<id1>,<id2>' \
  -H 'x-api-key: <key>'

エラー

  • 400 — ids 内の UUID が無効、またはウェブサイトを解決できない
  • 401 — 無効な API キー
Continue Reading
Previous‹GET /routeNextGET /blocks/with-cel-cache›